Preview: these APIs are still being designed and aren't available yet.
Skip to Content
UpskyDocs
API reference

Complete an upload

Marks a file as uploaded once the client has finished sending it.

POST
/storage/files/{id}/complete

Marks a file as uploaded once the client has finished sending it.

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

id*string

Response Body

The uploaded file.

application/json
  1. response
id*string
name*string
content_type*string
size*integer
status*string
Value in"pending""uploaded"
Example Request
curl -X POST 'https://api.upsky.dev/v1/storage/files/string/complete'
Example Response
{  "id": "string",  "name": "string",  "content_type": "string",  "size": 0,  "status": "pending"}